Author Topic: Can't install Epson WF-2630 printer  (Read 2484 times)

0 Members and 1 Guest are viewing this topic.

Offline manjurex

  • Neuling
  • *
  • Posts: 1
  • Skill: Novice
Can't install Epson WF-2630 printer
« on: 08. April 2016, 16:52:01 »
Hello,

i have a new printer the Epson WF-2630, i'm trying since days to installing it over wifi, on my manjaro-xfce system, but it will not work.

I searched explicit for a driver for the WF-2630, but there is nothing in the AUR or anywhere, Epson write on there homepage, the driver is included in this package "epson-inkjet-printer-escpr  1.6.4-1".

So i installed it and when i go in settings -> printer-administration i can see my printer as networkprinter with IP.. and by the connections i can select, IPP or LPD/LPR, but when i go forward, comes this message "
When operating CUPS An error occurred: "success".??

but cups is enabled and started like described in the wiki.

when i try to adding the printer directly over cups webinterface, i get the info "forbidden"

Can't find the error :-\

It would be wonderfull when anybody can help me with this wiry problem

br
lazor

Offline Pitlaloose

  • Neuling
  • *
  • Posts: 1
  • I'm new. Be nice!
  • Skill: Novice
Re: Can't install Epson WF-2630 printer
« Reply #1 on: 10. May 2016, 16:20:06 »
Trying to instal it too.. i'll check back here later and update with my tries
Good luck

Offline Zenny422

  • Vollwertiges Mitglied
  • ***
  • Posts: 114
  • Manjaro KDE and Loving it
  • Branch: Stable
  • Desktop: KDE
  • GPU Card: ATI-5700 HD
  • GPU driver: non-free
  • Kernel: Linux 4.1
  • Skill: Novice
Re: Can't install Epson WF-2630 printer
« Reply #2 on: 10. May 2016, 18:25:48 »
Hmmmm not sure on this one I own the epson wf-3540 ???
« Last Edit: 10. May 2016, 18:28:31 by Zenny422 »

Offline AJSlye

  • Maintainer
  • ***
  • Posts: 4298
  • Netrunner Rolling Edition moderator / maintainer
  • Branch: Stable / Testing / Unstable
  • Desktop: Netrunner Rolling
  • GPU Card: Intel
  • GPU driver: Intel
  • Kernel: 4.4.1-1-MANJARO x86_64 (64 bit)
  • Skill: Guru
Re: Can't install Epson WF-2630 printer
« Reply #3 on: 10. May 2016, 18:52:35 »
The clue is in your post: escpr
https://aur.archlinux.org/packages/epson-inkjet-printer-escpr/
Code: [Select]
yaourt -S epson-inkjet-printer-escpr
For the scanner you need to install iscan:
Code: [Select]
sudo pacman -S iscan
Some scanners require data files (firmware):
Code: [Select]
sudo pacman -S iscan-data
There are also some more plugins for iscan in the AUR:
https://aur.archlinux.org/packages/?O=0&K=iscan

Including the one required for scanning over a network:
Code: [Select]
yaourt -S iscan-plugin-network
Note: Do not use the auto detected dns/sd listing in cups, this hasn't worked for quite some time. You will need to add the printer manually using it's ip address.
« Last Edit: 10. May 2016, 18:55:14 by AJSlye »